---
layout: post
title: Escaping the Google silo
description: Opening up your Google Drive and Docs files using open source software
image: 
category: technology
date: 2021-02-11
---

At Autonomic we always promote using [libre software](https://en.wikipedia.org/wiki/Free_software) whereever possible but we understand that many clients have committed to using [propietary software](https://en.wikipedia.org/wiki/Proprietary_software) either due to legacy decision or because the non-libre solutions are simply more effective and mature.

The Google Workspace set of tools including Google Drive and Google Docs is one such solution. Once your organisation has deployed and is using these Google services, it's extremly difficult to migrate away. Google Docs files are not easy to extract from their propietary format and users are strongly encouragaged to only interact with the documents via the Google Workspace web apps.

This is problematic for organisations that want to approach their data storage with a stratergy that suits them, rather than the Google™️ mandated workflow. 
There are also [so many criticims](https://en.wikipedia.org/wiki/Criticism_of_Google) that could be made of Google in so many areas (as a [worker's co-operative of privacy advocates](/our-founding-principles), we're of course very biased).

There is also the question of [Google outages](https://en.wikipedia.org/wiki/2020_Google_services_outages) which happened multiple times in 2020. Of course, service outages can and do happen at any scale but it is interesting to note that they are even fairly regular occurance at many of the largest technology companies. When it comes to critical services, offering reduncancy and decentralisation is very difficult to do at the monolithic scale of the tech ginats.

We have been working on a solution for a client to try and make it easier for organisatons to in the short term keep non-Google hosted copies of their data and in the long term, be in a better position to migrate away from Google Workspace all together. Luckily, there is an extensive [Drive](https://developers.google.com/drive/) and [Docs API](https://developers.google.com/docs/api/) which is well documentated and relativley stable.

Our system is designed to pull all of your data out of the Google [walled garden](https://en.wikipedia.org/wiki/Closed_platform) and directly into your control. We host a server for you which runs our code to extract all of your files from Google Drive and covert all of your Google Docs into open document formats (.odt .docx etc.). The files are then made available to your organisation as standard filesystem on your own [Nextcloud](https://nextcloud.com/) instance and then you can do what you want with them. You'll also be able to draw up a support contract with us that suits your needs for both maintaining the server and supporting your users.

We intend to release the source code for our system under a libre license as soon whens we feel it's ready but it still needs some cleaning up and documentation which takes time. When it's released, you'll be able to find on our [Gitea instance](https://git.autonomic.zone/autonomic-cooperative).

If you're interested in hosting this solution for your organsation, feel free to [get in touch](mailto:helo@autonomic.zone).
